{ themeCfg, pkgs }:

let
  exchangerate_unwrapped = pkgs.writeShellScriptBin "exchangerate"
    (builtins.readFile (pkgs.substituteAll ({ src = ./exchangerate.sh; } // themeCfg.highlights)));

in
pkgs.symlinkJoin {
  name = "exchangerate";

  paths = [ exchangerate_unwrapped ] ++ (with pkgs; [ curl gnugrep gnused coreutils ]);
  buildInputs = [ pkgs.makeWrapper ];

  postBuild = ''
    wrapProgram $out/bin/exchangerate --prefix PATH : $out/bin
  '';
}
