# Get key for machine

```sh
ssh-keyscan <host>
```

If you want to get key for the current machine you can use the following code

```sh
ssh-keyscan localhost
```

# Generate new ssh key

```sh
ssh-keygen -t ed25519 -C "bob@example.com"
```

# Remove ssh key

```sh
gpg-connect-agent
```

```
KEYINFO --ssh-list --ssh-fpr
DELETE_KEY XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
```
