# NixOS system configuration

This repository contains configurations for my personal vps and workstations.

## Hosts

Workstations:

- **home** - Home desktop computer for work.
- **asus-gl553vd** - My laptop for remote work.

# Home Manager configs

User configurations are included.

### Themes

| Name       | Palettes | Note    |
| :--------- | :------- | :------ |
| Catppuccin | Frappe   | Current |

### Core Programs

| Type           | Program |
| :------------- | :------ |
| Status Bar     | Polybar |
| Window Manager | XMonad  |
| Launcher       | Dmenu   |
| Terminal       | Wezterm |
| Editor         | Neovim  |
| File Manager   | vifm    |
| Shell          | Zsh     |

### Screenshots

![workspace](assets/screenshot_1.png)

![desktop](assets/screenshot_2.png)
