{ pkgs, ... }:

{
  home.packages = with pkgs; [
    (google-cloud-sdk.withExtraComponents (
      let gc = google-cloud-sdk.components; in [
        gc.gke-gcloud-auth-plugin
        gc.kubectl
      ]
    ))
    postgresql_14 # 🤷 I need only psql
  ];

  /*
    programs.zsh.initExtra = lib.mkAfter ''
    eval $(kubectl completion zsh)
    '';
  */

}
