{ pkgs, ... }:

{
  services.dbus = {
    enable = true;
    packages = [ pkgs.dconf ];
  };

  services.xserver = {
    enable = true;

    xkbModel = "pc105";
    layout = "us,us";
    xkbVariant = "dvorak,";
    xkbOptions = "grp:win_space_toggle";

    displayManager.defaultSession = "none+xmonad";
    windowManager.xmonad.enable = true;
  };

  console.useXkbConfig = true;
}
